PCAP_MAJOR_VERSION(3PCAP)

NAME
pcap_major_version, pcap_minor_version - get the version number of a savefile

SYNOPSIS
#include <pcap/pcap.h>

int pcap_major_version(pcap_t *p);
int pcap_minor_version(pcap_t *p);

DESCRIPTION
If p refers to a savefile, pcap_major_version() returns the major number of the file format of the savefile and pcap_minor_version() returns the minor number of the file format of the savefile. The version number is stored in the header of the savefile.

If p refers to a live capture, the values returned by pcap_major_version() and pcap_minor_version() are not meaningful.

SEE ALSO
pcap(3PCAP)